package com.neusoft.smart.pos.inventory.persistent.mapper;

import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsInfo;
import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsInfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface InventoryGoodsInfoMapper {
    
    int countByExample(InventoryGoodsInfoExample example);
    
    int deleteByExample(InventoryGoodsInfoExample example);
    
    int deleteByPrimaryKey(Integer id);
    
    int insert(InventoryGoodsInfo record);
    
    int insertSelective(InventoryGoodsInfo record);
    
    List<InventoryGoodsInfo> selectByExample(InventoryGoodsInfoExample example);
    
    InventoryGoodsInfo selectByPrimaryKey(Integer id);
    
    int updateByExampleSelective(@Param("record") InventoryGoodsInfo record, @Param("example") InventoryGoodsInfoExample example);
    
    int updateByExample(@Param("record") InventoryGoodsInfo record, @Param("example") InventoryGoodsInfoExample example);
    
    int updateByPrimaryKeySelective(InventoryGoodsInfo record);
    
    int updateByPrimaryKey(InventoryGoodsInfo record);
    
    void batchInsert(@Param("items") List<InventoryGoodsInfo> items);
}